> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antigen.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List targets



## OpenAPI

````yaml /api/openapi.yaml get /targets
openapi: 3.1.0
info:
  title: Antigen API
  version: v1
  description: >-
    Use the Antigen API to manage targets, runs, vulnerabilities, evidence,
    reports, hooks, assets, and integrations.
servers:
  - url: https://api.antigen.sh/v1
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
  - SessionCookie: []
tags:
  - name: Authentication
  - name: API keys
  - name: Models
  - name: Agents
  - name: Targets
  - name: Runs
  - name: Vulnerabilities
  - name: Evidence
  - name: Reports
  - name: Hooks
  - name: Asset Map
  - name: Integrations
paths:
  /targets:
    get:
      tags:
        - Targets
      summary: List targets
      operationId: listTargets
      parameters:
        - name: status
          in: query
          schema:
            type: string
            enum:
              - pending
              - approved
              - rejected
      responses:
        '200':
          description: Targets for the organization.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Target'
components:
  schemas:
    Target:
      type: object
      required:
        - id
        - hosts
        - status
        - submitted_by
        - approved_by
        - rejection_reason
        - created_at
        - approved_at
      properties:
        id:
          type: string
          format: uuid
        hosts:
          type: array
          items:
            type: string
        description:
          type: string
        status:
          type: string
          enum:
            - pending
            - approved
            - rejected
        submitted_by:
          type: string
          format: uuid
        approved_by:
          type:
            - string
            - 'null'
          format: uuid
        rejection_reason:
          type:
            - string
            - 'null'
        created_at:
          $ref: '#/components/schemas/Timestamp'
        approved_at:
          type:
            - string
            - 'null'
          format: date-time
    Timestamp:
      type: string
      format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key from the Antigen dashboard.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: access token
      description: Better Auth access token.
    SessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Better Auth browser session cookie.

````